# GET /mj/task/{id}/fetch

**Method**: `GET`
**Endpoint**: `/mj/task/{id}/fetch`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Path Parameters

```text
id
string
Task ID
Required
```

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

## Example Request

### Shell

```bash
curl --location --request GET '/mj/task//fetch' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'
```

## Response

### 🟢 200 OK

**Content Type**: `application/json`

#### Response Schema

```text
action
enum<string>
Task type
Optional
Enum Values:
IMAGINE
UPSCALE
VARIATION
REROLL
DESCRIBE
BLEND
description
string
Task description
Optional
failReason
string
Failure reason
Optional
finishTime
integer
<int64>
End time
Optional
id
string
ID
Optional
imageUrl
string
Image URL
Optional
progress
string
Task progress
Optional
prompt
string
Prompt
Optional
promptEn
string
Prompt in English
Optional
properties
object
Optional
startTime
integer
<int64>
Start time
Optional
state
string
Custom Parameters
Optional
status
enum<string>
Task status
Optional
Enum Values:
NOT_START
SUBMITTED
IN_PROGRESS
FAILURE
SUCCESS
submitTime
integer
<int64>
Submission time
Optional
buttons
array
[object]
Optional
customId
string
Required
  // provider-specific example normalized for English documentation
label
string
  // provider-specific example normalized for English documentation
Required
type
string
Required
style
string
Required
emoji
string
Required
```

#### Example

```json
{
    "action": "IMAGINE",
    "description": "string",
    "failReason": "string",
    "finishTime": 0,
    "id": "string",
    "imageUrl": "string",
    "progress": "string",
    "prompt": "string",
    "promptEn": "string",
    "properties": {},
    "startTime": 0,
    "state": "string",
    "status": "NOT_START",
    "submitTime": 0,
    "buttons": [
        {
            "customId": "string",
            "label": "string",
            "type": "string",
            "style": "string",
            "emoji": "string"
        }
    ]
}
```

### 🟠 401 Unauthorized

### 🟠 403 Forbidden

### 🟠 404 Not Found
